Subject: Re: PATH modifications for git-hook processes

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Apr 2015 10:46:57 -0700

Jeff King <[email-masked]> writes:

>   IOW, you can do things like
>
>         alias git=/opt/my-git/git
>
>   and all the "git" commands will automatically work fine, even if you
>   didn't know at compile time where you would install them, and you didn't
>   set GIT_EXEC_DIR at run-time. It will still first look in GIT_EXEC_DIR,
>   but if that fails, it will take the git commands from /opt/my-git/ instead
>   of from /usr/bin or whatever.
>
> If we can get away with just dropping this element from the PATH, I'd
> much rather do that than try to implement a complicated path-precedence
> scheme.

I am OK with dropping it at a major version boundary with
deprecation notice in the release note.  Unlike older days, by now,
Git has become so essential to users' everyday life, and there is
not much reason for people to keep the installation of Git they
built outside their $PATH, and "alias git=/opt/git/bin/git" has lost
much of its value, I would think.